Subject: bug#36078: closed (Re: bug#36078: [staging] AArch64 missing substitute for 'libdrm')

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 05 Jun 2019 13:34:02 +0000

Your bug report

#36078: [staging] AArch64 missing substitute for 'libdrm'

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36078: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36078
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36078: [staging] AArch64 missing substitute for 'libdrm'
From: Ludovic Courtès <[email-masked]>
To: Marius Bakke <[email-masked]>
Cc: [email-masked]
Date: Wed, 05 Jun 2019 15:32:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Marius Bakke <[email-masked]> skribis:

> There is no substitute for /gnu/store/9b5y8vr3q67cx7gm41k5snkk9g4gmvdn-libdrm-2.4.98 on
> <https://ci.guix.gnu.org>.
>
> Unfortunately I don't know what the problem is.  There is no build log:
> <https://ci.guix.gnu.org/log/9b5y8vr3q67cx7gm41k5snkk9g4gmvdn-libdrm-2.4.98>.

/gnu/store/fkb8kibp5bws0bjrxdjyv8qhs35hhy3q-libdrm-2.4.98.tar.xz.drv had
failed to build because of a now fixed (?) misconfiguration issue on
berlin: we enabled qemu-binfmt on some of the x86_64 machines so we
could build more for ARM, but at one point ‘guix-support?’ was false so
all the ARM builds offloaded there would fail.

I’ve started a build of
/gnu/store/351kdgalhh5vrv7lh5949r0g586dwp91-libdrm-2.4.98.drv, which has
succeeded.

There may be more ARM builds that need to be restarted, though.  Let me know!

Ludo’.

Subject: [staging] AArch64 missing substitute for 'libdrm'
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Mon, 03 Jun 2019 22:16:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

There is no substitute for /gnu/store/9b5y8vr3q67cx7gm41k5snkk9g4gmvdn-libdrm-2.4.98 on
<https://ci.guix.gnu.org>.

Unfortunately I don't know what the problem is.  There is no build log:
<https://ci.guix.gnu.org/log/9b5y8vr3q67cx7gm41k5snkk9g4gmvdn-libdrm-2.4.98>.

Does Cuirass provide more information about the failed derivation
somewhere?